#pragma once

#include <ArmarXCore/core/PackagePath.h>
#include <ArmarXCore/core/time_minimal.h>

#include <RobotAPI/libraries/aron/common/aron/PackagePath.aron.generated.h>
#include <RobotAPI/libraries/aron/common/aron/time.aron.generated.h>
#include <RobotAPI/libraries/aron/common/aron/framed.aron.generated.h>


namespace IceUtil
{
    class Time;

    void fromAron(const long& dto, IceUtil::Time& bo);
    void toAron(long& dto, const IceUtil::Time& bo);

    void fromAron(const IceUtil::Time& dto, armarx::DateTime& bo);
    void toAron(IceUtil::Time& dto, const armarx::DateTime& bo);
}
namespace armarx
{

    void fromAron(const arondto::PackagePath& dto, PackagePath& bo);
    void toAron(arondto::PackagePath& dto, const PackagePath& bo);

    void fromAron(const arondto::ClockType& dto, ClockType& bo);
    void toAron(arondto::ClockType& dto, const ClockType& bo);

    void fromAron(const arondto::Duration& dto, Duration& bo);
    void toAron(arondto::Duration& dto, const Duration& bo);

    void fromAron(const arondto::Frequency& dto, Frequency& bo);
    void toAron(arondto::Frequency& dto, const Frequency& bo);

    void fromAron(const arondto::DateTime& dto, DateTime& bo);
    void toAron(arondto::DateTime& dto, const DateTime& bo);

}  // namespace armarx
